Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support all available Prism grammars and use prism autoloader plugin to dynamically load grammars on page #20

Merged
merged 6 commits into from Nov 12, 2018

Conversation

jazanne
Copy link
Contributor

@jazanne jazanne commented Oct 26, 2018

(Resolved merge conflict w/previous pull request #15)

Dynamically loads languages that are required on the page with the Prims Autoloader plugin.

Adds support for all Prism 1.1.5.0 grammars

(Ref: #2, #14)

jazanne added 3 commits Oct 26, 2018
prism-languages.json was taken from Prism
components.json file

it could be condensed in future to remove irrelevant extra info
@mkaz
Copy link
Owner

@mkaz mkaz commented Nov 3, 2018

Thanks @jazanne for the updated PR. I'm pushed up some changes to fix the setting of languages array, I was seeing errors when loading a previous block.

Take a look at let me know if it works for you.

@jazanne
Copy link
Contributor Author

@jazanne jazanne commented Nov 5, 2018

Looks good. Thanks for making those changes

@mkaz mkaz merged commit 9514529 into mkaz:master Nov 12, 2018
@mkaz mkaz mentioned this pull request Nov 12, 2018
@mkaz mkaz mentioned this pull request Nov 12, 2018
@jazanne jazanne deleted the support-all-langs branch Dec 6, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants